package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisDiet
 * 
 * @author Generator
 */
public class JenisDietVO extends BaseMasterVO {
	@Caption(value="Jenis Diet")
	private String jenisDiet;

	public void setJenisDiet(String jenisDiet) {
		this.jenisDiet = jenisDiet;
	}

	@Column(name = "JenisDiet", nullable = false , length = 30)
	public String getJenisDiet(){
		return this.jenisDiet;
	}

	@Caption(value="Kode Jenis Diet")
	private String kdJenisDiet;

	public void setKdJenisDiet(String kdJenisDiet) {
		this.kdJenisDiet = kdJenisDiet;
	}

	@Column(name = "KdJenisDiet", nullable = false,length=7 )
	public String getKdJenisDiet(){
		return this.kdJenisDiet;
	}

	@Caption(value="QJenis Diet")
	private Byte qJenisDiet;

	public void setqJenisDiet(Byte qJenisDiet) {
		this.qJenisDiet = qJenisDiet;
	}

	@Column(name = "QJenisDiet", nullable = false )
	public Byte getqJenisDiet(){
		return this.qJenisDiet;
	}
	
	@Column(name = "keterangan", nullable = true)
	private String keterangan;

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
}